<?php

namespace Adherence;

return array(
  'doctrine' => array(
    'driver' => array(
      __NAMESPACE__ . '_driver' => array(
        'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
        'cache' => 'array',
        'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
      ),
      'orm_default' => array(
        'drivers' => array(
          __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
        )
      )
    )
  ),
  'controllers' => array(
    'invokables' => array(
      'Adherence\Controller\Adherence' => 'Adherence\Controller\AdherenceController'
    ),
  ),
  'console' => array(
    'router' => array(
      'routes' => array(
        'adherenceprocess' => array(
          'options' => array(
            'route' => 'adherence process',
            'defaults' => array(
              'controller' => 'Adherence\Controller\Adherence',
              'action' => 'process'
            )
          )
        ),
        'adherencetradesales' => array(
          'options' => array(
            'route' => 'adherence tradesales',
            'defaults' => array(
              'controller' => 'Adherence\Controller\Adherence',
              'action' => 'tradesales'
            )
          )
        )
      )
    )
  ),
  'strategies' => array(
    'ViewJsonStrategy',
  )
);
