<?php
namespace Adherence\Controller;



class AdherenceController extends \Zend\Mvc\Controller\AbstractActionController
{

	public function processAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \Adherence\Service\Adherence();
		$service->setWorkflow($this->serviceLocator->get('Adherence'));
		$service->cronProcess();
		return "\n";
	}
  
  public function tradesalesAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \Adherence\Service\Adherence();
		$service->setWorkflow($this->serviceLocator->get('Adherence'));
		$service->cronTradeSales();
		return "\n";
	}

}
