<?php
namespace Adherence;



/**
 * A workflow.
 * @author andre.fourie
 */
class Workflow extends \Workspace\Workflow
{

	/**
	 * @var string
	 */
	protected $namespace = __NAMESPACE__;
	/**
	 * @var string
	 */
	protected $parentFeature = false;
	/**
	 * @var string
	 */
	protected $initState    = 'This.New';
	/**
	 * @var string
	 */
	protected $initTrigger  = false;
	/**
	 * @var string
	 */
	protected $primaryEntity = 'Retail';
	/**
	 * @var array
	 */
	protected $entityMap = array(
			'Retail' => '\Retail\Entity\Retail'
	);
	/**
	 * @var array
	*/
	protected $linkMap = array();
	/**
	 * @var array
	*/
	protected $listen = array();
	/**
	 * @var array
	*/
	protected $reclaim = array();
	/**
	 * @var array
	*/
	protected $stateMap = array(
			'Global' => array(
					'Actions' => array(
							'Retail.SelectList' => array()
					)
			)
	);


}
