<?php
namespace Auction;
return array(
	    'doctrine' => array(
	        'driver' => array(
	            __NAMESPACE__ . '_driver' => array(
	                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
	                'cache' => 'array',
	                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
	            ),
	            'orm_default' => array(
	                'drivers' => array(
	                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
	                )
	            )
	        )
	    ),
		'controllers' => array(
				'invokables' => array(
						'Auction\Controller\Auction' => 'Auction\Controller\AuctionController'
				),
		),
	    'console' => array(
	        'router' => array(
	            'routes' => array(
	                'auctionprocess' => array(
	                    'options' => array(
	                        'route'    => 'auction process',
	                        'defaults' => array(
	                            'controller' => 'Auction\Controller\Auction',
	                            'action'     => 'process'
	                        )
	                    )
	                ),
	                'auctioncustomprocess' => array(
	                    'options' => array(
	                        'route'    => 'auction custom',
	                        'defaults' => array(
	                            'controller' => 'Auction\Controller\Auction',
	                            'action'     => 'processCustom'
	                        )
	                    )
	                ),
	                'auctioncleanupprocess' => array(
	                    'options' => array(
	                        'route'    => 'auction cleanup',
	                        'defaults' => array(
	                            'controller' => 'Auction\Controller\Auction',
	                            'action'     => 'processCleanup'
	                        )
	                    )
	                ),
	                'auctionending' => array(
	                    'options' => array(
	                        'route'    => 'auction newsletter',
	                        'defaults' => array(
	                            'controller' => 'Auction\Controller\Auction',
	                            'action'     => 'newsletter'
	                        )
	                    )
	                )
	            )
	        )
	    )
);