<?php
namespace Company;


class Module
{
	public function getAutoloaderConfig()
	{
		return array(
				'Zend\Loader\ClassMapAutoloader' => array(
						__DIR__ . '/autoload_classmap.php',
				)
		);
	}

	public function getConfig()
	{
		return include __DIR__ . '/config/module.config.php';
	}

	public function getServiceConfig()
	{
		return array(
				'invokables' => array(
						__NAMESPACE__ => __NAMESPACE__ . '\Workflow',
						__NAMESPACE__ . '.Service.Company' => __NAMESPACE__ . '\Service\Company',
						__NAMESPACE__ . '.Service.Group' => __NAMESPACE__ . '\Service\Group',
						__NAMESPACE__ . '.Service.GroupDivision' => __NAMESPACE__ . '\Service\GroupDivision',
						__NAMESPACE__ . '.Service.FoundMethod' => __NAMESPACE__ . '\Service\FoundMethod',
						__NAMESPACE__ . '.Service.FoundMethodDetail' => __NAMESPACE__ . '\Service\FoundMethodDetail',
						__NAMESPACE__ . '.Service.CompanyRetail' => __NAMESPACE__ . '\Service\CompanyRetail'
				)
		);
	}

}