<?php
namespace Company\Controller;



class CompanyController extends \Zend\Mvc\Controller\AbstractActionController
{

	public function processAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);
		$service = new \Company\Service\Company();
		
		$service->setWorkflow($this->serviceLocator->get('Company'));
		
		$service->checkDocuments();
		
		return "\n";
		
		
	}
	
	public function publicClubsAction()
	{
		\Utility\Registry::setServiceManager($this->serviceLocator);
		\Utility\Registry::addDynamicConfig(
				\Utility\Registry::getEntityManager()
				->getRepository('Config\Entity\Config')
				->find(1)
				->toArray()
		);

		$companyId = $this->getRequest()->getParam('companyId');
		$service = new \Company\Service\Company();
		$service->setWorkflow($this->serviceLocator->get('Company'));
		$service->linkPublicCentreClubs($companyId);
	
		return "\n";
	
	
	}
	

}
