<?php
namespace Company\DataBin;



/**
 * Manage FoundMethodDetail data.
 * @author andre.fourie
 */
class FoundMethodDetail extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'FoundMethodDetail',
			'DatasetName' => 'foundmethoddetails',
			'Entity'      => '\Company\Entity\FoundMethodDetail',
			'References'  => array(
					'foundMethod'  => '\Company\Entity\FoundMethod'
			),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'Filter' => array(
							'foundMethod' => 'Id'
					)
			),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);

}