<?php
namespace Location\Fixture;



class Town extends \Fixture\Service\Fixture
{

	static public function build()
	{
		parent::addStack('\\Location\\Entity\\Town', array(
				'Town.Windhoek' => array(
						'region' => self::getReference('Region.Khomas'),
						'name'   => 'Windhoek'
				),
				'Town.Walvis Bay' => array(
						'region' => self::getReference('Region.Erongo'),
						'name'   => 'Walvis Bay'
				),
				'Town.Swakopmund' => array(
						'region' => self::getReference('Region.Erongo'),
						'name'   => 'Swakopmund'
				),
				'Town.Henties Bay' => array(
						'region' => self::getReference('Region.Erongo'),
						'name'   => 'Henties Bay'
				),
				'Town.Omaruru' => array(
						'region' => self::getReference('Region.Erongo'),
						'name'   => 'Omaruru'
				),
				'Town.Otjiwarongo' => array(
						'region' => self::getReference('Region.Otjozondjupa'),
						'name'   => 'Otjiwarongo'
				),
				'Town.Okahandja' => array(
						'region' => self::getReference('Region.Otjozondjupa'),
						'name'   => 'Okahandja'
				),
				'Town.Grootfontein' => array(
						'region' => self::getReference('Region.Otjozondjupa'),
						'name'   => 'Grootfontein'
				),
				'Town.Mariental' => array(
						'region' => self::getReference('Region.Hardap'),
						'name'   => 'Mariental'
				),
				'Town.Outjo' => array(
						'region' => self::getReference('Region.Kunene'),
						'name'   => 'Outjo'
				),
				'Town.Gobabis' => array(
						'region' => self::getReference('Region.Omaheke'),
						'name'   => 'Gobabis'
				),
				'Town.Tsumeb' => array(
						'region' => self::getReference('Region.Oshikoto'),
						'name'   => 'Tsumeb'
				),
				'Town.Keetmanshoop' => array(
						'region' => self::getReference('Region.Karas'),
						'name'   => 'Keetmanshoop'
				),
		));
	}

}