<?php
namespace Person;



/**
 * A workflow.
 * @author andre.fourie
 */
class Workflow extends \Workspace\Workflow
{

	/**
	 * @var string
	 */
	protected $namespace     = __NAMESPACE__;
	/**
	 * @var string
	 */
	protected $parentFeature = 'Utility';
	/**
	 * @var string
	 */
	protected $initState     = false;
	/**
	 * @var string
	 */
	protected $initTrigger   = false;
	/**
	 * @var string
	 */
	protected $primaryEntity = 'Contact';
	/**
	 * @var array
	 */
	protected $entityMap = array(
			'Contact' => '\Person\Entity\Contact'
	);
	/**
	 * @var array
	 */
	protected $linkMap  = array();
	/**
	 * @var array
	 */
	protected $listen   = array();
	/**
	 * @var array
	 */
	protected $reclaim  = array();
	/**
	 * @var array
	 */
	protected $stateMap = array(
			'Global' => array(
				'Actions' => array(
					'Contact.SelectList' => array(),
					'Contact.List'       => array(),
					'Contact.Create'     => array(),
					'Contact.Update'     => array(),
					'Contact.Delete'     => array()
				)
			)
	);


}