<?php
namespace PriceGuide\DataBin;



/**
 * Stock PDF exports.
 * @author andre.fourie
 */
class Pdf extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'PriceGuide',
			'DatasetName' => 'valuation',
			'Entity'      => '\PriceGuide\Entity\PriceGuide',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaPrint = array(
			'Type'          => 'Pdf',
			'Builder'       => '\PriceGuide\Pdf\Pdf004',
			'Writer'        => '\Utility\Export\PdfTemplate',
			'Output'        => 'Download',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'PdfTemplate' => array(
							'email' => 'Email'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaPrint004 = array(
			'Type'          => 'Pdf',
			'Builder'       => '\PriceGuide\Pdf\Pdf004',
			'Writer'        => '\Utility\Export\PdfTemplate',
			'Output'        => 'Download',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'PdfTemplate' => array(
							'email' => 'Email'
					)
			)
	);

}