<?php
namespace Valuation\Pdf;



class Pdf003 extends Complete
{


	/**
	 * PDF title.
	 * @var string
	 */
	protected $_title = 'Stock Information';
	/**
	 * @var \Stock\Entity\Stock
	 */
	protected $jobRecord;
	/**
	 * @var boolean
	 */
	protected $showTradeDataOnly = false;
	/**
	 * @var boolean
	 */
	protected $showCustomerDetails = true;
	/**
	 * @var boolean
	 */
	protected $showValuationDetails = true;
	/**
	 * @var boolean
	 */
	protected $showPricingDetails = true;
	/**
	 * @var boolean
	 */
	protected $showVehicleDetails = true;
	/**
	 * @var boolean
	 */
	protected $showDamageDetails = true;
	/**
	 * @var boolean
	 */
	protected $showAccessoryDetails = true;
	/**
	 * @var boolean
	 */
	protected $showSignatureLines = false;
	/**
	 * @var boolean
	 */
	protected $showTermsAndConditions = false;
	/**
	 * @var boolean
	 */
	protected $showOffersReceived = true;
	/**
	 * @var boolean
	 */
	protected $showOfferMade = false;


}