<?php
namespace Workspace;


class Module
{
	public function getAutoloaderConfig()
	{
		return array(
				'Zend\Loader\ClassMapAutoloader' => array(
						__DIR__ . '/autoload_classmap.php',
				)
		);
	}

	public function getConfig()
	{
		return include __DIR__ . '/config/module.config.php';
	}

	public function getServiceConfig()
	{
		return array(
			'invokables' => array(
				'ServiceContractUseOnce'  => 'Workspace\Contract\UseOnce',
				'ServiceConditionOrBase'  => 'Workspace\UseCase\ConditionOrBase',
				'ServiceConditionAndBase' => 'Workspace\UseCase\ConditionAndBase',
				'ServiceRequirement'      => 'Workspace\UseCase\Requirement'
			),
	        'shared' => array(
	            'ServiceContractUseOnce'  => false,
	            'ServiceConditionOrBase'  => false,
	            'ServiceConditionAndBase' => false,
	            'ServiceRequirement'      => false
	        )
		);
	}

}