<?php
namespace Auction;


class Module
{
	public function getAutoloaderConfig()
	{
		return array(
				'Zend\Loader\ClassMapAutoloader' => array(
						__DIR__ . '/autoload_classmap.php',
				)
		);
	}

	public function getConfig()
	{
		return include __DIR__ . '/config/module.config.php';
	}

	public function getServiceConfig()
	{
		return array(
				'invokables' => array(
						__NAMESPACE__ => __NAMESPACE__ . '\Workflow',
						__NAMESPACE__ . '.Service.Auction' => __NAMESPACE__ . '\Service\Auction',
						__NAMESPACE__ . '.Service.Basket' => __NAMESPACE__ . '\Service\Basket',
						__NAMESPACE__ . '.Service.Bid' => __NAMESPACE__ . '\Service\Bid',
						__NAMESPACE__ . '.Service.AutoBid' => __NAMESPACE__ . '\Service\AutoBid',
						__NAMESPACE__ . '.Service.Question' => __NAMESPACE__ . '\Service\Question',
						__NAMESPACE__ . '.Service.Reply' => __NAMESPACE__ . '\Service\Reply',
						__NAMESPACE__ . '.Service.Increment' => __NAMESPACE__ . '\Service\Increment',
						__NAMESPACE__ . '.Service.PublicHoliday' => __NAMESPACE__ . '\Service\PublicHoliday',
						__NAMESPACE__ . '.Service.OpenDay' => __NAMESPACE__ . '\Service\OpenDay',
						__NAMESPACE__ . '.Service.Pdf' => __NAMESPACE__ . '\Service\Pdf'
				)
		);
	}

}