<?php
namespace Company;
return array(
    'doctrine' => array(
        'driver' => array(
            __NAMESPACE__ . '_driver' => array(
                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
                'cache' => 'array',
                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
            ),
            'orm_default' => array(
                'drivers' => array(
                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
                )
            )
        )
    ),
		
	'controllers' => array(
			'invokables' => array(
					'Company\Controller\Company' => 'Company\Controller\CompanyController'
			),
	),
	'console' => array(
			'router' => array(
					'routes' => array(
							'finddocumentsprocess' => array(
									'options' => array(
											'route'    => 'document process',
											'defaults' => array(
													'controller' => 'Company\Controller\Company',
													'action'     => 'process'
											)
									)
							),
							'publicclubsprocess' => array(
									'options' => array(
											'route'    => 'publicclubs process <companyId>',
											'defaults' => array(
													'controller' => 'Company\Controller\Company',
													'action'     => 'publicClubs'
											)
									)
							)
					)
			)
	)
);