<?php
namespace Config\Fixture;



class Config extends \Fixture\Service\Fixture
{

	static public function build()
	{
		parent::addStack('\\Config\\Entity\\Config', array(
				array(
						'dateFormat'               => 'Y-m-d',
						'dateTimeFormat'           => 'Y-m-d H:i:s',
						'timeFormat'               => 'H:i:s',
						'excelCurrencyFormat'      => 'R #,##0.00;[red]R -#,##0.00',
						'currencyPrefix'           => 'R ',
						'vatPercentage'            => 14.0,
						'sourceEmailAddress'       => 'stage@bid4cars.nirph.com',
						'sourceMobileAddress'      => '',
						'adminEmailAddress'        => 'andre@nirph.com',
						'smsNewPin'                => true,
						'smsCustomerValuation'     => false,
						'priceGuideOpenDays'       => 3,
						'priceGuideCompletionDays' => 30,
						'appVersion'               => 1.00,
						'defaultPermissions'       => self::getReference('Permissions.Guest')
					)
		));
	}

}