<?php
namespace PriceGuide\DataBin;



/**
 * Manage AllowedMember data.
 * @author andre.fourie
 */
class AllowedMember extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'AllowedMember',
			'DatasetName' => 'models',
			'Entity'      => '\PriceGuide\Entity\AllowedMember',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaSelectList = array(
			'Type'          => 'SelectList',
			'Contract'      => 'Recurring',
			'RequiredInput' => array(),
			'OptionalInput' => array(),
			'Filter'   => array(),
			'Label'    => array(
				'Format' => '[name]',
				'Fields' => array('name')
			)
	);

}