<?php
namespace PriceGuide\Fixture;



class Member extends \Fixture\Service\Fixture
{

	static public function build()
	{
		parent::addStack('\PriceGuide\Entity\Member', array(
				array(
						'company'       => self::getReference('Company.AmhSeller'),
						'profile'       => self::getReference('Profile.Bloke'),
						'allowedMember' => self::getReference('AllowedMember.Bob'),
						'club'          => self::getReference('Club.Ford'),
						'allMakes'      => true
				),
				array(
						'company'       => self::getReference('Company.AmhSeller'),
						'profile'       => self::getReference('Profile.Bloke'),
						'allowedMember' => self::getReference('AllowedMember.Bob'),
						'club'          => self::getReference('Club.Mercedes'),
						'allMakes'      => true
				),
				array(
						'company'       => self::getReference('Company.AmhSeller'),
						'profile'       => self::getReference('Profile.Bloke'),
						'allowedMember' => self::getReference('AllowedMember.Bob'),
						'club'          => self::getReference('Club.Miscelaneous'),
						'allMakes'      => true
				),
				array(
						'company'       => self::getReference('Company.Byron'),
						'profile'       => self::getReference('Profile.Byron'),
						'allowedMember' => self::getReference('AllowedMember.Byron'),
						'club'          => self::getReference('Club.Imperial'),
						'allMakes'      => true
				)
		));
	}

}