<?php
namespace Statistical;
return array(
    'doctrine' => array(
        'driver' => array(
            __NAMESPACE__ . '_driver' => array(
                'class' => 'Doctrine\ORM\Mapping\Driver\AnnotationDriver',
                'cache' => 'array',
                'paths' => array(__DIR__ . '/../src/' . __NAMESPACE__ . '/Entity')
            ),
            'orm_default' => array(
                'drivers' => array(
                    __NAMESPACE__ . '\Entity' => __NAMESPACE__ . '_driver'
                )
            )
        )
    ),
    'controllers' => array(
	    'invokables' => array(
		    'Statistical\Controller\Statistical' => 'Statistical\Controller\StatisticalController'
	    ),
    ),
    'console' => array(
	    'router' => array(
		    'routes' => array(
			    'clickreport' => array(
				    'options' => array(
					    'route'    => 'click report',
					    'defaults' => array(
						    'controller' => 'Statistical\Controller\Statistical',
						    'action'     => 'clickReport'
					    )
				    )
			    )
		    )
	    )
    )
);