<?php
namespace Statistical;



/**
 * A workflow.
 * @author andre.fourie
 */
class Workflow extends \Workspace\Workflow
{

	/**
	 * @var string
	 */
	protected $namespace     = __NAMESPACE__;
	/**
	 * @var string
	 */
	protected $parentFeature = false;
	/**
	 * @var string
	 */
	protected $initState     = false;
	/**
	 * @var string
	 */
	protected $initTrigger   = false;
	/**
	 * @var string
	 */
	protected $primaryEntity = false;
	/**
	 * @var array
	 */
	protected $entityMap = array(
			'Statistical' => '\Statistical\Entity\Statistical'
	);
	/**
	 * @var array
	 */
	protected $linkMap  = array();
	/**
	 * @var array
	 */
	protected $listen   = array();
	/**
	 * @var array
	 */
	protected $reclaim  = array();
	/**
	 * @var array
	 */
	protected $stateMap = array(
			'Global' => array(
				'Actions' => array(
					
					'Statistical.List'       => array(),
					'Statistical.Create'     => array(),
					
				)
			)
	);


}