<?php
namespace Valuation;


class Module
{
	public function getAutoloaderConfig()
	{
		return array(
				'Zend\Loader\ClassMapAutoloader' => array(
						__DIR__ . '/autoload_classmap.php',
				)
		);
	}

	public function getConfig()
	{
		return include __DIR__ . '/config/module.config.php';
	}

	public function getServiceConfig()
	{
		return array(
				'invokables' => array(
						__NAMESPACE__ => __NAMESPACE__ . '\Workflow',
						__NAMESPACE__ . '.Service.Valuation' => __NAMESPACE__ . '\Service\Valuation',
                        __NAMESPACE__ . '.Service.CustomerPublicValuation' => __NAMESPACE__ . '\Service\CustomerPublicValuation',
                        __NAMESPACE__ . '.Service.ValuationTimeSlots' => __NAMESPACE__ . '\Service\ValuationTimeSlots',
                        __NAMESPACE__ . '.Service.ValuationAppointments' => __NAMESPACE__ . '\Service\ValuationAppointments',
						__NAMESPACE__ . '.Service.Report' => __NAMESPACE__ . '\Service\Report',
						__NAMESPACE__ . '.Service.Pdf' => __NAMESPACE__ . '\Service\Pdf',
						__NAMESPACE__ . '.Service.PricingHistory'  => __NAMESPACE__ . '\Service\PricingHistory',
						__NAMESPACE__ . '.Service.XmlRpc'  => __NAMESPACE__ . '\DataBin\XmlRpc',
						__NAMESPACE__ . '.Service.XmlRpcRequestLog'  => __NAMESPACE__ . '\DataBin\XmlRpcRequestLog',
						__NAMESPACE__ . '.Service.XmlRpcCallbackLog'  => __NAMESPACE__ . '\DataBin\XmlRpcCallbackLog',
                        __NAMESPACE__ . '.Service.DealNotDoneSelection' => __NAMESPACE__ . '\Service\DealNotDoneSelection',
				)
		);
	}

}