<?php
namespace Valuation\DataBin;



/**
 * Stock PDF exports.
 * @author andre.fourie
 */
class Pdf extends \Workspace\Service\DataBin
{

	/**
	 * @var array
	 */
	protected $meta = array(
			'Base'        => 'Valuation',
			'DatasetName' => 'valuation',
			'Entity'      => '\Valuation\Entity\Valuation',
			'References'  => array(),
			'Dependants'  => array()
	);
	/**
	 * @var array
	*/
	protected $metaPrint = array(
			'Type'          => 'Pdf',
			'Builder'       => '\Valuation\Pdf\Pdf003',
			'Writer'        => '\Utility\Export\PdfTemplate',
			'Output'        => 'Download',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'PdfTemplate' => array(
							'email' => 'Email'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaPrint001 = array(
			'Type'          => 'Pdf',
			'Builder'       => '\Valuation\Pdf\Pdf001',
			'Writer'        => '\Utility\Export\PdfTemplate',
			'Output'        => 'Download',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'PdfTemplate' => array(
							'email' => 'Email'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaPrint002 = array(
			'Type'          => 'Pdf',
			'Builder'       => '\Valuation\Pdf\Pdf002',
			'Writer'        => '\Utility\Export\PdfTemplate',
			'Output'        => 'Download',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'PdfTemplate' => array(
							'email' => 'Email'
					)
			)
	);
	/**
	 * @var array
	*/
	protected $metaPrint003 = array(
			'Type'          => 'Pdf',
			'Builder'       => '\Valuation\Pdf\Pdf003',
			'Writer'        => '\Utility\Export\PdfTemplate',
			'Output'        => 'Download',
			'RequiredInput' => array(),
			'OptionalInput' => array(
					'PdfTemplate' => array(
							'email' => 'Email'
					)
			)
	);

}